Package org.eclipse.graphiti.features.context.impl

# Class RemoveBendpointContext

java.lang.Object
org.eclipse.graphiti.PropertyBag
org.eclipse.graphiti.internal.features.context.impl.base.DefaultContext
org.eclipse.graphiti.features.context.impl.RemoveBendpointContext

All Implemented Interfaces:
  `IBendpointContext`, `IContext`, `IRemoveBendpointContext`, `IPropertyBag`

public class RemoveBendpointContext extends DefaultContext implements IRemoveBendpointContext
The Class RemoveBendpointContext.

## Constructor Summary

Constructors
Constructor
Description
`RemoveBendpointContext(FreeFormConnection freeFormConnection, Point bendpoint)`
Creates a new `RemoveBendpointContext`.

## Method Summary

Modifier and Type
Method
Description
`Point`
`getBendpoint()`
Gets the bendpoint.
`int`
`getBendpointIndex()`
Gets the bendpoint index.
`FreeFormConnection`
`getConnection()`
Gets the connection.
`void`
`setBendpoint(Point bendpoint)`
Sets the bendpoint.
`void`
`setBendpointIndex(int index)`
Sets the bendpoint index.
`void`
`setConnection(FreeFormConnection freeFormConnection)`
Sets the connection.
`String`
`toString()`

### Methods inherited from class org.eclipse.graphiti.PropertyBag

`getProperty, getPropertyKeys, putProperty`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Methods inherited from interface org.eclipse.graphiti.IPropertyBag

`getProperty, getPropertyKeys, putProperty`

## Constructor Details

### RemoveBendpointContext

public RemoveBendpointContext(FreeFormConnection freeFormConnection, Point bendpoint)
Creates a new `RemoveBendpointContext`.

Parameters:
  `freeFormConnection` - the free form connection
  `bendpoint` - the bendpoint

## Method Details

### getBendpoint

public Point getBendpoint()
Description copied from interface: `IBendpointContext`
Gets the bendpoint.

Specified by:
  `getBendpoint` in interface `IBendpointContext`
Returns:
  the bendpoint

### setBendpoint

public void setBendpoint(Point bendpoint)
Sets the bendpoint.

Parameters:
  `bendpoint` - the new bendpoint

### setConnection

public void setConnection(FreeFormConnection freeFormConnection)
Sets the connection.

Parameters:
  `freeFormConnection` - the new connection

### getBendpointIndex

public int getBendpointIndex()
Description copied from interface: `IBendpointContext`
Gets the bendpoint index.

Specified by:
  `getBendpointIndex` in interface `IBendpointContext`
Returns:
  the bendpoint index

### getConnection

public FreeFormConnection getConnection()
Description copied from interface: `IBendpointContext`
Gets the connection.

Specified by:
  `getConnection` in interface `IBendpointContext`
Returns:
  the connection

### setBendpointIndex

public void setBendpointIndex(int index)
Sets the bendpoint index.

Parameters:
  `index` - the new bendpoint index

### toString

public String toString()

Overrides:
  `toString` in class `DefaultContext`